diff --git a/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh b/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh
index 80295da164dbb6db52638bbd5891abc3b6a3958e..838beab27d163bf1baab8acecc0112223d87e432 100644
--- a/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh
+++ b/recipes-bsp/fng-install/prepare-image/gf-prepare-xml2dto.sh
@@ -17,9 +17,17 @@ mount_bootpartition BOOTFILES_DIR
 # Change into boot directory
 cd "$BOOTFILES_DIR" || exit 1
 
+FSL=""
+DEVICETREE_FILE="$( head -n 1 "$BOOTFILES_DIR"/devicetree )"
+cat $DEVICETREE_FILE | grep -i mxcfb 1>/dev/null
+if [[ $? == 0 ]]
+then
+    FSL="-f"
+fi
+
 # Create overlay form SECO Northern Europe XML
 if [ -x "/usr/bin/gfxml2dto" ]; then
-    if gfxml2dto -o "$GFXML_OVERLAY_NAME"
+    if gfxml2dto $FSL -o "$GFXML_OVERLAY_NAME"
     then
         append_overlay "${GFXML_OVERLAY_NAME}"
     else